LINUX.ORG.RU

remove хочет стереть всю систему

 , ,


0

1

Проблема, выручайте.

пытаюсь удалить старый boost из системы, но вместе с ним хочет снестись весь мой mint. Как так?

sudo apt-get --purge remove libboost-*
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  kde-artwork-active kde-baseapps ksplash-theme-active kwrite libcr0
  libdeclarative-multimedia libhwloc-dev libhwloc5 libibverbs-dev libibverbs1
  libnepomukdatamodel0 libopenmpi-dev libopenmpi1.6 libpci-dev
  libqtmultimediakit1 libqtwebkit-qmlwebkitplugin libreoffice-l10n-ru
  libtorque2 libxml2-dev mpi-default-bin mpi-default-dev openmpi-bin
  openmpi-common plasma-active-data plasma-active-metadatamodels
  plasma-active-mobilecomponents share-like-connect share-like-connect-data
  startactive-data
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  akonadi-facebook* akonadi-kde-resource-googledata* akonadi-server* aptitude*
  deluge* deluge-gtk* encfs* kde-config-telepathy-accounts*
  kde-plasma-desktop* kde-telepathy* kde-telepathy-auth-handler*
  kde-telepathy-contact-list* kde-telepathy-declarative*
  kde-telepathy-desktop-applets* kde-telepathy-filetransfer-handler*
  kde-telepathy-integration-module* kde-telepathy-minimal*
  kde-telepathy-send-file* kde-telepathy-text-ui* kde-workspace*
  kde-workspace-bin* kdepim-runtime* kdeplasma-addons* knotes* kontact*
  konversation* korganizer* kscreensaver* libboost-atomic1.55-dev*
  libboost-atomic1.55.0* libboost-chrono1.55-dev* libboost-chrono1.55.0*
  libboost-context1.55-dev* libboost-context1.55.0*
  libboost-coroutine1.55-dev* libboost-date-time1.54.0*
  libboost-date-time1.55-dev* libboost-date-time1.55.0*
  libboost-exception1.55-dev* libboost-filesystem1.55-dev*
  libboost-filesystem1.55.0* libboost-graph-parallel1.55-dev*
  libboost-graph-parallel1.55.0* libboost-graph1.55-dev* libboost-graph1.55.0*
  libboost-iostreams1.54.0* libboost-iostreams1.55-dev*
  libboost-iostreams1.55.0* libboost-locale1.55-dev* libboost-locale1.55.0*
  libboost-log1.55-dev* libboost-log1.55.0* libboost-math1.55-dev*
  libboost-math1.55.0* libboost-mpi-python1.55-dev* libboost-mpi-python1.55.0*
  libboost-mpi1.55-dev* libboost-mpi1.55.0* libboost-program-options1.54.0*
  libboost-program-options1.55-dev* libboost-program-options1.55.0*
  libboost-python1.55-dev* libboost-python1.55.0* libboost-random1.55-dev*
  libboost-random1.55.0* libboost-regex1.55-dev* libboost-regex1.55.0*
  libboost-serialization1.54.0* libboost-serialization1.55-dev*
  libboost-serialization1.55.0* libboost-signals1.55-dev*
  libboost-signals1.55.0* libboost-system1.54.0* libboost-system1.55-dev*
  libboost-system1.55.0* libboost-test1.55-dev* libboost-test1.55.0*
  libboost-thread1.54.0* libboost-thread1.55-dev* libboost-thread1.55.0*
  libboost-timer1.55-dev* libboost-timer1.55.0* libboost-wave1.55-dev*
  libboost-wave1.55.0* libboost1.55-all-dev* libboost1.55-dev*
  libboost1.55-tools-dev* libkolab0* libkolabxml1* libkpeople3*
  libktpcommoninternalsprivate7* libreoffice-avmedia-backend-gstreamer*
  libreoffice-base* libreoffice-base-core* libreoffice-base-drivers*
  libreoffice-calc* libreoffice-core* libreoffice-draw* libreoffice-gtk*
  libreoffice-help-en-us* libreoffice-help-ru* libreoffice-impress*
  libreoffice-math* libreoffice-ogltrans* libreoffice-pdfimport*
  libreoffice-presentation-minimizer* libreoffice-sdbc-firebird*
  libreoffice-sdbc-hsqldb* libreoffice-writer* libtorrent-rasterbar8*
  mint-artwork-common* mint-artwork-kde* mint-configuration-kde*
  mint-meta-kde* mintsystem* mythes-ru* plasma-dataengines-workspace*
  plasma-desktop* plasma-netbook* plasma-widgets-addons*
  plasma-widgets-workspace* python-libtorrent* tasksel* tasksel-data*
  ubuntu-system-adjustments*
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 125 пакетов, и 0 пакетов не обновлено.
После данной операции, объём занятого дискового пространства уменьшится на 553 MB.
Хотите продолжить? [Д/н]

система linux mint 17.2 kde

zamazan4ik ★★
() автор топика

Очевидно, как минимум часть пакетов собрана против старого boost. Просто собери волю в кулак и не удаляй его.

anonymous
()
Ответ на: комментарий от amorpher
sudo apt-get --purge autoremove
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
zamazan4ik ★★
() автор топика
Ответ на: комментарий от zamazan4ik

ну? а в чём проблема тогда?
что значит «старый»?
дистр у тебя старый, 17.3 уже есть, сделай сразу с таким подходом rm -rf /

amorpher ★★★★★
()
Ответ на: комментарий от amorpher

хорошо. Может я чего-то не понимаю. Тогда объясните, пожалуйста. Почему при записи sudo apt-get remove libboost-* у меня удаляется половина кед и все минтовые примочки к кедам? И как мне правильно удалить boost в таком случае?

zamazan4ik ★★
() автор топика
Ответ на: комментарий от zamazan4ik

потому что «половина кед и все минтовые примочки к кедам» зависят от libboost*
//кеп

как мне правильно удалить boost в таком случае?

зчем его удалять?

amorpher ★★★★★
()
Ответ на: комментарий от amorpher

оу. блин. прошу прощения за беспокойство. но мне и в голову не могло прийти, что вся эта гадость завязана на бусте.

zamazan4ik ★★
() автор топика
Ответ на: комментарий от amorpher

да понял я, понял:-) можете не издеваться уже

zamazan4ik ★★
() автор топика
Ответ на: комментарий от ionanahin

но зависимости же ломаются так. И этим инструментом надо тонко пользоваться)

zamazan4ik ★★
() автор топика
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.